realpath
rewind
Filesystem Functions
PHP Manual

# rename

(PHP 4, PHP 5, PECL zip:1.1.0-1.4.1)

rename — Renames a file or directory

### Description

bool rename ( string `$oldname` , string `$newname` [, resource `$context` ] )

Attempts to rename `oldname` to `newname` .

### Parameters

`oldname`

  > Note: The old name. The wrapper used in `oldname` must match the wrapper used in `newname` .

`newname`

  The new name.

`context`

  > Note: Context support was added with PHP 5.0.0. For a description of contexts, refer to Stream Functions.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### ChangeLog

Version | Description
--- | ---
5.0.0 | rename() can now also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support rename().
4.3.3 | rename() is now able to rename files across partitions on *nix based systems.

### Examples

Example #1 Example with rename()

`<?php
rename("/tmp/tmp_file.txt", "/home/user/login/docs/my_file.txt");
?>`

### See Also

- copy()
- unlink()
- move_uploaded_file()

realpath
rewind
Filesystem Functions
PHP Manual